

Patch from Pavel Machek <pavel@ucw.cz>

This kills 'bogus wakeup' warning from pdflush. Patch from Nigel.


 pdflush.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN mm/pdflush.c~kill-bogus-wakeup-messge mm/pdflush.c
--- 25/mm/pdflush.c~kill-bogus-wakeup-messge	2003-02-23 22:39:20.000000000 -0800
+++ 25-akpm/mm/pdflush.c	2003-02-23 22:39:20.000000000 -0800
@@ -103,9 +103,11 @@ static int __pdflush(struct pdflush_work
 		my_work->when_i_went_to_sleep = jiffies;
 		spin_unlock_irq(&pdflush_lock);
 
-		if (current->flags & PF_FREEZE)
-			refrigerator(PF_IOTHREAD);
 		schedule();
+		if (current->flags & PF_FREEZE) {
+			refrigerator(PF_IOTHREAD);
+			continue;
+		}
 
 		spin_lock_irq(&pdflush_lock);
 		if (!list_empty(&my_work->list)) {

_
